#ifndef GRIFOCMDDOCK_H
#define GRIFOCMDDOCK_H

#include <QWidget>

namespace Ui {
    class GrifoCmdDock;
}

class GrifoCmdDock : public QWidget
{
    Q_OBJECT

public:
    explicit GrifoCmdDock(QWidget *parent = 0);
    ~GrifoCmdDock();

    bool autoSelectPanel() const;
    void selectControlDock(int n);

    bool smartAntenna() const;
    bool smartAntennaCoverage() const;

    void wfCmdUpdate(int n);

signals:
    void elevationPlus();
    void elevationMinus();
    void elevationZero();
    void waveformCommand(int cmd);

private:
    Ui::GrifoCmdDock *ui;

    int storedWfCmd;
};

#endif // GRIFOCMDDOCK_H
